package org.jeecg.modules.ctop.service.impl;

import cn.com.ctop.kuaishou.modules.report.mapper.KuaishouReportDailyAccountMapper;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.ctop.entity.TransferAccount;
import org.jeecg.modules.ctop.mapper.TransferAccountMapper;
import org.jeecg.modules.ctop.service.ITransferAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 转户记录表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-03-26
 */
@Service
public class TransferAccountServiceImpl extends ServiceImpl<TransferAccountMapper, TransferAccount> implements ITransferAccountService {

    @Autowired
    private KuaishouReportDailyAccountMapper dailyAccountMapper;
    @Autowired
    private TransferAccountMapper transferAccountMapper;

    @Override
    public List<JSONObject> selectCost(Long accountId, String startDate, String endDate) {
        return dailyAccountMapper.selectCost(accountId, startDate, endDate);
    }


    @Override
    public List<TransferAccount> getAccountQuarterDetail(Long accountId, String startDate, String endDate) {
        return transferAccountMapper.getAccountQuarterDetail(accountId, startDate, endDate);
    }

}
