package cn.com.ctop.alarm.modules.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 规则指标信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-11-14
 */
@Data
@TableName("ctop_rule_indicator")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_rule_indicator对象", description = "规则指标信息")
public class RuleIndicator {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 1：头条2：快手
     */
    @Excel(name = "1：头条2：快手", width = 15)
    @ApiModelProperty(value = "1：头条2：快手")
    private Integer mediaType;
    /**
     * 指标名称
     */
    @Excel(name = "指标名称", width = 15)
    @ApiModelProperty(value = "指标名称")
    private String name;
    /**
     * 指标code(数据库字段名称）
     */
    @Excel(name = "指标code(数据库字段名称）", width = 15)
    @ApiModelProperty(value = "指标code(数据库字段名称）")
    private String code;
    /**
     * 数据类型
     */
    @Excel(name = "数据类型", width = 15)
    @ApiModelProperty(value = "数据类型")
    private String dataType;
    private String modelType;
    /**
     * 数据单位
     */
    @Excel(name = "数据单位", width = 15)
    @ApiModelProperty(value = "数据单位")
    private String dataUnit;
    /**
     * 数据维度
     */
    @Excel(name = "数据维度", width = 15)
    @ApiModelProperty(value = "数据维度")
    private String dimension;
    /**
     * 对应数据字典id
     */
    @Excel(name = "对应数据字典id", width = 15)
    @ApiModelProperty(value = "对应数据字典id")
    private String dictId;
    /**
     * 对应数据表名称
     */
    @Excel(name = "对应数据表名称", width = 15)
    @ApiModelProperty(value = "对应数据表名称")
    /**
     * 逻辑类型，针对流量排除包、排除人群包标识
     */
    private Integer logicalType;
    private String tableName;
    private Integer status;
    private Integer sort;
    private Date createTime;
    private Date updateTime;
}
