package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 快手素材清洗数据
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-02-24
 */
@Data
@TableName("ctop_kuaishou_clean_material_report")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_clean_material_report对象", description = "快手素材清洗数据")
public class KuaiShouCleanMaterialReport {

    /**
     * signature
     */
    @Excel(name = "id", width = 15)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 花费(元)
     */
    @Excel(name = "花费(元)", width = 15)
    @ApiModelProperty(value = "花费(元)")
    private java.math.BigDecimal charge;
    /**
     * 曝光数
     */
    @Excel(name = "曝光数", width = 15)
    @ApiModelProperty(value = "曝光数")
    private Integer photoShow;
    /**
     * 封面点击数
     */
    @Excel(name = "封面点击数", width = 15)
    @ApiModelProperty(value = "封面点击数")
    private Integer photoClick;
    /**
     * 点击数
     */
    @Excel(name = "点击数", width = 15)
    @ApiModelProperty(value = "点击数")
    private Integer aclick;
    /**
     * 行为数
     */
    @Excel(name = "行为数", width = 15)
    @ApiModelProperty(value = "行为数")
    private Integer bclick;
    /**
     * 激活数
     */
    @Excel(name = "激活数", width = 15)
    @ApiModelProperty(value = "激活数")
    private Integer activation;
    /**
     * 表单提交数
     */
    @Excel(name = "表单提交数", width = 15)
    @ApiModelProperty(value = "表单提交数")
    private Integer formCount;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
