package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 规则账户清洗数据
 * @author jeecg-boot
 * @date   2020-11-16
 * @version V1.0
 */
@Data
@TableName("ctop_rule_data_account")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_rule_data_account对象", description="规则账户清洗数据")
public class RuleDataAccount {

	/**id*/
    @ApiModelProperty(value = "id")
	private Long id;
	/**账户id*/
	@Excel(name = "账户id", width = 15)
    @ApiModelProperty(value = "账户id")
	private Long accountId;
	/**账户name*/
	@Excel(name = "账户id", width = 15)
	@ApiModelProperty(value = "账户id")
	private String accountName;
	/**消耗*/
	@Excel(name = "消耗", width = 15)
    @ApiModelProperty(value = "消耗")
	private BigDecimal cost;
	/**validBalance*/
	@Excel(name = "validBalance", width = 15)
    @ApiModelProperty(value = "validBalance")
	private BigDecimal validBalance;
	/**转化数*/
	@Excel(name = "转化数", width = 15)
    @ApiModelProperty(value = "转化数")
	private Long convertNum;
	/**转化成本*/
	@Excel(name = "转化成本", width = 15)
    @ApiModelProperty(value = "转化成本")
	private BigDecimal convertCost;
	/**次留数*/
	@Excel(name = "次留数", width = 15)
    @ApiModelProperty(value = "次留数")
	private Long nextDayOpenNum;
	/**nextDayOpenCost*/
	@Excel(name = "nextDayOpenCost", width = 15)
    @ApiModelProperty(value = "nextDayOpenCost")
	private BigDecimal nextDayOpenCost;

	private BigDecimal nextDayOpenRate;

	/**status*/
	@Excel(name = "status", width = 15)
    @ApiModelProperty(value = "status")
	private Integer status;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
