package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: 创建应用
 * @Author: jeecg-boot
 * @Date: 2019-08-06
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_create_app_template")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_create_app_template对象", description = "创建应用")
public class KuaiShouCreateAppTemplate {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * app类型 安卓 ios
     */
    @Excel(name = "app类型 安卓 ios", width = 15)
    @ApiModelProperty(value = "app类型 安卓 ios")
    private String appType;
    /**
     * 应用类型   ： 1 Android 应用下载，2： Android 网页游戏，3： iOS 应用下载， 4：iOS 网页游戏
     */
    @Excel(name = "应用类型   ： 1 Android 应用下载，2： Android 网页游戏，3： iOS 应用下载， 4：iOS 网页游戏", width = 15)
    @ApiModelProperty(value = "应用类型   ： 1 Android 应用下载，2： Android 网页游戏，3： iOS 应用下载， 4：iOS 网页游戏")
    private String platform;
    /**
     * 应用标记
     */
    @Excel(name = "应用标记", width = 15)
    @ApiModelProperty(value = "应用标记")
    private String appVersion;
    /**
     * 应用名称
     */
    @Excel(name = "应用名称", width = 15)
    @ApiModelProperty(value = "应用名称")
    private String appName;
    /**
     * 应用包名
     */
    @Excel(name = "应用包名", width = 15)
    @ApiModelProperty(value = "应用包名")
    private String packageName;
    /**
     * 上传文件到服务器返回地址
     */
    @Excel(name = "上传文件到服务器返回地址", width = 15)
    @ApiModelProperty(value = "上传文件到服务器返回地址")
    private Object file;
    /**
     * 上传图片到服务器返回地址
     */
    @Excel(name = "上传图片到服务器返回地址", width = 15)
    @ApiModelProperty(value = "上传图片到服务器返回地址")
    private Object imageUrl;
    /**
     * 输入应用下载地址
     */
    @Excel(name = "输入应用下载地址", width = 15)
    @ApiModelProperty(value = "输入应用下载地址")
    private Object url;


    /**
     * url类型 1:淘宝商品短链 2:淘宝商品 itemID
     */
    @Excel(name = "上传类型 1:上传文件 2:填写链接", width = 15)
    @ApiModelProperty(value = "上传类型 1:本地上传 2:url 链接")
    private Integer uploadType;


    private Long accountId;


    /**
     * 登录人id
     */
    @Excel(name = "登录人id", width = 15)
    @ApiModelProperty(value = "登录人id")
    private String loginId;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
    /**
     * createBy
     */
    @Excel(name = "createBy", width = 15)
    @ApiModelProperty(value = "createBy")
    private String createBy;
    /**
     * updateBy
     */
    @Excel(name = "updateBy", width = 15)
    @ApiModelProperty(value = "updateBy")
    private String updateBy;
}
