package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: 快手-批量创建广告组
 * @Author: jeecg-boot
 * @Date: 2019-08-09
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_group_create_log")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_group_create_log对象", description = "快手-批量创建广告组")
public class KuaiShouGroupCreateLog {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 广告计划模板ID
     */
    @Excel(name = "广告计划模板ID", width = 15)
    @ApiModelProperty(value = "广告计划模板ID")
    private Long campaignTemplateId;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 广告活动ID
     */
    @Excel(name = "广告活动ID", width = 15)
    @ApiModelProperty(value = "广告活动ID")
    private Long campaignId;
    /**
     * 广告组名称
     */
    @Excel(name = "广告组名称", width = 15)
    @ApiModelProperty(value = "广告组名称")
    private String unitName;
    /**
     * 出价类型
     */
    @Excel(name = "出价类型", width = 15)
    @ApiModelProperty(value = "出价类型")
    private Integer bidType;
    /**
     * 出价
     */
    @Excel(name = "出价", width = 15)
    @ApiModelProperty(value = "出价")
    private Long bid;
    /**
     * OCPC出价
     */
    @Excel(name = "OCPC出价", width = 15)
    @ApiModelProperty(value = "OCPC出价")
    private Long cpaBid;
    /**
     * 优化目标
     */
    @Excel(name = "优化目标", width = 15)
    @ApiModelProperty(value = "优化目标")
    private Integer ocpxActionType;
    /**
     * 深度转化目标 null
     */
    @Excel(name = "深度转化目标", width = 15)
    @ApiModelProperty(value = "深度转化目标 null")
    private Integer deepConversionType;

    /**
     * 深度转化目标出价
     */
    @Excel(name = "出价", width = 15)
    @ApiModelProperty(value = "出价")
    private Long deepConversionBid;

    /**
     * 资源位置
     */
    @Excel(name = "资源位置", width = 15)
    @ApiModelProperty(value = "资源位置")
    private Integer sceneId;
    /**
     * 投放开始时间
     */
    @Excel(name = "投放开始时间", width = 15)
    @ApiModelProperty(value = "投放开始时间")
    private String beginTime;


    /**
     * 创意制作方式
     */
    @Excel(name = "投放开始时间", width = 15)
    @ApiModelProperty(value = "创意制作方式")
    private Integer unitType;


    /**
     * 投放结束时间
     */
    @Excel(name = "投放结束时间", width = 15)
    @ApiModelProperty(value = "投放结束时间")
    private String endTime;
    /**
     * 投放时段
     */
    @Excel(name = "投放时段", width = 15)
    @ApiModelProperty(value = "投放时段")
    private Object scheduleTime;
    /**
     * 单日预算
     */
    @Excel(name = "单日预算", width = 15)
    @ApiModelProperty(value = "单日预算")
    private Integer dayBudget;
    /**
     * url类型 1:淘宝商品短链 2:淘宝商品 itemID
     */
    @Excel(name = "url类型 1:淘宝商品短链 2:淘宝商品 itemID", width = 15)
    @ApiModelProperty(value = "url类型 1:淘宝商品短链 2:淘宝商品 itemID")
    private Integer urlType;
    /**
     * 投放链接
     */
    @Excel(name = "投放链接", width = 15)
    @ApiModelProperty(value = "投放链接")
    private Object url;
    /**
     * APP ID
     */
    @Excel(name = "APP ID", width = 15)
    @ApiModelProperty(value = "APP ID")
    private Integer appId;
    /**
     * 创意展现方式  1：轮播 2：优选
     */
    @Excel(name = "创意展现方式  1：轮播 2：优选", width = 15)
    @ApiModelProperty(value = "创意展现方式  1：轮播 2：优选")
    private Integer showModel;
    /**
     * 投放方式 1：快速投放 2：平滑投放
     */
    @Excel(name = "投放方式 1：快速投放 2：平滑投放", width = 15)
    @ApiModelProperty(value = "投放方式 1：快速投放 2：平滑投放")
    private Integer speed;
    /**
     * 广告组ID
     */
    @Excel(name = "广告组ID", width = 15)
    @ApiModelProperty(value = "广告组ID")
    private Long unitId;
    /**
     * 当前登录人id
     */
    @Excel(name = "当前登录人id", width = 15)
    @ApiModelProperty(value = "当前登录人id")
    private String loginId;
    /**
     * 创建人
     */
    @Excel(name = "创建人", width = 15)
    @ApiModelProperty(value = "创建人")
    private String createBy;


    @TableField(exist = false)
    private Integer createCount;


    @TableField(exist = false)
    private String redundancy;


    /**
     * 修改人
     */
    @Excel(name = "修改人", width = 15)
    @ApiModelProperty(value = "修改人")
    private String updateBy;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
