package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: 快手-本地图片保存
 * @Author: jeecg-boot
 * @Date: 2019-08-14
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_image")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_image对象", description = "快手-本地图片保存")
public class KuaiShouImage {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 图片保存本地地址
     */
    @Excel(name = "accountId", width = 15)
    @ApiModelProperty(value = "accountId")
    private Long accountId;

    /**
     * 图片保存本地地址
     */
    @Excel(name = "图片保存本地地址", width = 15)
    @ApiModelProperty(value = "图片保存本地地址")
    private Object localUrl;
    /**
     * videoName
     */
    @Excel(name = "imageName", width = 15)
    @ApiModelProperty(value = "imageName")
    private String imageName;
    /**
     * 视频类别
     */
    @Excel(name = "视频类别", width = 15)
    @ApiModelProperty(value = "视频类别")
    private String imageType;
    /**
     * 登录人id
     */
    @Excel(name = "登录人id", width = 15)
    @ApiModelProperty(value = "登录人id")
    private String loginId;
    /**
     * 图片类型 1-竖版图片 2-横版图片
     */
    @Excel(name = "图片类型 1-竖版图片 2-横版图片", width = 15)
    @ApiModelProperty(value = "图片类型 1-竖版图片 2-横版图片")
    private String materialType;

    /**
     * 图片类型 1-普通 2-后贴片
     */
    @Excel(name = "素材类型 1-普通 2-后贴片", width = 15)
    @ApiModelProperty(value = "图片类型 1-竖版图片 2-横版图片")
    private String positionType;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
    /**
     * createBy
     */
    @Excel(name = "createBy", width = 15)
    @ApiModelProperty(value = "createBy")
    private String createBy;
    /**
     * updateBy
     */
    @Excel(name = "updateBy", width = 15)
    @ApiModelProperty(value = "updateBy")
    private String updateBy;
}
