package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: 快手-上传图片接口
 * @Author: jeecg-boot
 * @Date: 2019-07-26
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_image_uploand")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_image_uploand对象", description = "快手-上传图片接口")
public class KuaiShouImageUploand {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 本地存储地址
     */
    @Excel(name = "本地存储地址", width = 15)
    @ApiModelProperty(value = "本地存储地址")
    private Object savaPath;
    /**
     * 图片预览地址
     */
    @Excel(name = "图片预览地址", width = 15)
    @ApiModelProperty(value = "图片预览地址")
    private Object url;
    /**
     * 宽
     */
    @Excel(name = "宽", width = 15)
    @ApiModelProperty(value = "宽")
    private Long width;
    /**
     * 高
     */
    @Excel(name = "高", width = 15)
    @ApiModelProperty(value = "高")
    private Long height;
    /**
     * 图片大小
     */
    @Excel(name = "图片大小", width = 15)
    @ApiModelProperty(value = "图片大小")
    private Long size;
    /**
     * 图片格式
     */
    @Excel(name = "图片格式", width = 15)
    @ApiModelProperty(value = "图片格式")
    private String format;
    /**
     * 图片 token
     */
    @Excel(name = "图片 token", width = 15)
    @ApiModelProperty(value = "图片 token")
    private Object imageToken;
    /**
     * 文件上传时间
     */
    @Excel(name = "文件上传时间", width = 15)
    @ApiModelProperty(value = "文件上传时间")
    private String uploadTime;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
