package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: 快手-视频上传
 * @Author: jeecg-boot
 * @Date: 2019-07-26
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_video_upload")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_video_upload对象", description = "快手-视频上传")
public class KuaiShouVideoUpload {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 视频id
     */
    @Excel(name = "视频id", width = 15)
    @ApiModelProperty(value = "视频id")
    private String photoId;
    /**
     * 本地保存地址
     */
    @Excel(name = "本地保存地址", width = 15)
    @ApiModelProperty(value = "本地保存地址")
    private Object savaPath;

    /**
     * 本地保存地址
     */
    @Excel(name = "md5", width = 15)
    @ApiModelProperty(value = "md5")
    private Object signature;


    /**
     * 视频大小
     */
    @Excel(name = "视频大小", width = 15)
    @ApiModelProperty(value = "视频大小")
    private String size;
    /**
     * 视频类型
     */
    @Excel(name = "视频类型", width = 15)
    @ApiModelProperty(value = "视频类型")
    private String type;
    /**
     * 视频上传时间
     */
    @Excel(name = "视频上传时间", width = 15)
    @ApiModelProperty(value = "视频上传时间")
    private String uploadTime;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
