package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 代理商报表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-13
 */
@Data
@TableName("ctop_kuaishou_report_daily_agent")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_report_daily_agent对象", description = "代理商报表")
public class KuaishouReportDailyAgent {

    /**
     * 日期
     */
    @Excel(name = "日期", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "日期")
    private String date;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    @TableId(type = IdType.INPUT)
    private java.lang.Integer accountId;
    /**
     * 快手ID
     */
    @Excel(name = "快手ID", width = 15)
    @ApiModelProperty(value = "快手ID")
    private java.lang.Integer kid;
    /**
     * 广告主名称
     */
    @Excel(name = "广告主名称", width = 15)
    @ApiModelProperty(value = "广告主名称")
    private java.lang.String advertiserName;
    /**
     * 广告主创建时间
     */
    @Excel(name = "广告主创建时间", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "广告主创建时间")
    private java.util.Date advertiserCreateTime;
    /**
     * 有消费计划数
     */
    @Excel(name = "有消费计划数", width = 15)
    @ApiModelProperty(value = "有消费计划数")
    private java.lang.Integer costCampaignCount;
    /**
     * 总余额
     */
    @Excel(name = "总余额", width = 15)
    @ApiModelProperty(value = "总余额")
    private java.math.BigDecimal balance;
    /**
     * 总消耗
     */
    @Excel(name = "总消耗", width = 15)
    @ApiModelProperty(value = "总消耗")
    private java.math.BigDecimal cost;
    /**
     * 现金消耗
     */
    @Excel(name = "现金消耗", width = 15)
    @ApiModelProperty(value = "现金消耗")
    private java.math.BigDecimal xianjinCost;
    /**
     * 后返消耗
     */
    @Excel(name = "后返消耗", width = 15)
    @ApiModelProperty(value = "后返消耗")
    private java.math.BigDecimal fandianCost;
    /**
     * 框返消耗
     */
    @Excel(name = "框返消耗", width = 15)
    @ApiModelProperty(value = "框返消耗")
    private java.math.BigDecimal kuangfanCost;
    /**
     * 激励账户消耗
     */
    @Excel(name = "激励账户消耗", width = 15)
    @ApiModelProperty(value = "激励账户消耗")
    private java.math.BigDecimal jiliCost;
    /**
     * 信用账户消耗
     */
    @Excel(name = "信用账户消耗", width = 15)
    @ApiModelProperty(value = "信用账户消耗")
    private java.math.BigDecimal xinyongCost;
    /**
     * 封面曝光数
     */
    @Excel(name = "封面曝光数", width = 15)
    @ApiModelProperty(value = "封面曝光数")
    private java.lang.Integer fengmianShowCount;
    /**
     * 封面点击数
     */
    @Excel(name = "封面点击数", width = 15)
    @ApiModelProperty(value = "封面点击数")
    private java.lang.Integer fengmianClickCount;
    /**
     * 素材曝光数
     */
    @Excel(name = "素材曝光数", width = 15)
    @ApiModelProperty(value = "素材曝光数")
    private java.lang.Integer sucaiShowCount;
    /**
     * 行为数
     */
    @Excel(name = "行为数", width = 15)
    @ApiModelProperty(value = "行为数")
    private java.lang.Integer convertCount;
    /**
     * 封面点击率
     */
    @Excel(name = "封面点击率", width = 15)
    @ApiModelProperty(value = "封面点击率")
    private String fengmianClickRate;
    /**
     * 转化点击率
     */
    @Excel(name = "转化点击率", width = 15)
    @ApiModelProperty(value = "转化点击率")
    private String convertClickRate;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private java.util.Date updateTime;

    @TableField(exist = false)
    private Integer isHasData;
    @TableField(exist = false)
    private String accountName;
    @TableField(exist = false)
    private String industry;
    @TableField(exist = false)
    private String secondIndustry;
    @TableField(exist = false)
    private String chargeDayOnDayPercent;


}
