package cn.com.ctop.kuaishou.modules.report.service.impl;

import cn.com.ctop.common.module.entity.KuaiShouCleanMaterialReport;
import cn.com.ctop.common.module.service.IKuaiShouCleanMaterialReportService;
import cn.com.ctop.common.module.utils.Check;
import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportDailyCreative;
import cn.com.ctop.kuaishou.modules.report.mapper.KuaishouReportDailyCreativeMapper;
import cn.com.ctop.kuaishou.modules.report.service.IKuaishouReportDailyCreativeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class KuaishouReportDailyCreativeServiceImpl extends ServiceImpl<KuaishouReportDailyCreativeMapper, KuaishouReportDailyCreative> implements IKuaishouReportDailyCreativeService {
    @Autowired
    private KuaishouReportDailyCreativeMapper kuaishouReportDailyCreativeMapper;
    @Autowired
    private IKuaiShouCleanMaterialReportService cleanMaterialReportService;

    @Override
    public List<String> getSignature() {
        return kuaishouReportDailyCreativeMapper.getSignatureList();
    }

    @Override
    public void calculationReport(String signature) {
        if (Check.isNull(signature)) {
            return;
        }
        KuaiShouCleanMaterialReport calculationMaterialReport = kuaishouReportDailyCreativeMapper.calculationMaterialReport(signature);
        if (!Check.isNull(calculationMaterialReport)) {
            cleanMaterialReportService.saveOrUpdate(calculationMaterialReport);
        }
    }

}
