package cn.com.ctop.performanceaccount.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 运营明细表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-04-05
 */
@Data
@TableName("ctop_performance_account")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_performance_account对象", description = "运营明细表")
public class PerformanceAccount {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 账户id
     */
    @Excel(name = "账户id", width = 15)
    @ApiModelProperty(value = "账户id")
    private Long accountId;
    /**
     * 账户期间消耗
     */
    @Excel(name = "账户期间消耗", width = 15)
    @ApiModelProperty(value = "账户期间消耗")
    private java.math.BigDecimal cost;
    /**
     * 年
     */
    @Excel(name = "年", width = 15)
    @ApiModelProperty(value = "年")
    private Integer year;
    /**
     * 1头条2快手
     */
    @Excel(name = "1头条2快手", width = 15)
    @ApiModelProperty(value = "1头条2快手")
    private Integer mediaType;
    /**
     * 季度
     */
    @Excel(name = "季度", width = 15)
    @ApiModelProperty(value = "季度")
    private Integer quarter;
    /**
     * 账户所属人
     */
    @Excel(name = "账户所属人", width = 15)
    @ApiModelProperty(value = "账户所属人")
    private String userId;
    /**
     * 账户消耗计算开始时间
     */
    @Excel(name = "账户消耗计算开始时间", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "账户消耗计算开始时间")
    private String startDate;
    /**
     * 账户消耗计算结束时间
     */
    @Excel(name = "账户消耗计算结束时间", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "账户消耗计算结束时间")
    private String endDate;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;

    @TableField(exist = false)
    private String realname;

    @TableField(exist = false)
    private String authName;

    @TableField(exist = false)
    private String advertiserName;

    @TableField(exist = false)
    private String projectName;

}
