package cn.com.ctop.performanceappraisal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 绩效配置文件表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-01-08
 */
@Data
@TableName("ctop_performance_config")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_performance_config对象", description = "绩效配置文件表")
public class PerformanceConfig {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * year
     */
    @Excel(name = "year", width = 15)
    @ApiModelProperty(value = "year")
    private Integer year;
    /**
     * quarter
     */
    @Excel(name = "quarter", width = 15)
    @ApiModelProperty(value = "quarter")
    private Integer quarter;
    /**
     * mediaTaskRaise
     */
    @Excel(name = "mediaTaskRaise", width = 15)
    @ApiModelProperty(value = "mediaTaskRaise")
    private Integer mediaTaskRaise;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
