package cn.com.ctop.performanceappraisal.entity;

import cn.com.ctop.common.module.annotation.Dict;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 角色提点比例
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-10
 */
@Data
@TableName("ctop_role_performance_raise")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_role_performance_raise对象", description = "角色提点比例")
public class RolePerformancRraise {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 角色id
     */
    @Excel(name = "角色id", width = 15)
    @ApiModelProperty(value = "角色id")
    @Dict(dicCode = "id", dictTable = "sys_role", dicText = "role_name")
    private String roleId;
    /**
     * 提点梯度级别
     */
    @Excel(name = "提点梯度级别", width = 15)
    @ApiModelProperty(value = "提点梯度级别")
    private Integer level;
    /**
     * n 千分之n
     */
    @Excel(name = "n 千分之n", width = 15)
    @ApiModelProperty(value = "n 千分之n")
    private java.math.BigDecimal raiseRate;
    /**
     * n 百分之n
     */
    @Excel(name = "n 百分之n", width = 15)
    @ApiModelProperty(value = "n 百分之n")
    private java.math.BigDecimal videoEfficiencyRate;
    /**
     * 1:快手 2：头条
     */
    @Excel(name = "媒体类型1_头条2_快手", width = 15)
    @ApiModelProperty(value = "媒体类型1_头条2_快手")
    @Dict(dicCode = "media_type")
    private Integer appType;
    /**
     * 是否可用
     */
    @Excel(name = "是否可用", width = 15)
    @ApiModelProperty(value = "是否可用")
    @Dict(dicCode = "valid_status")
    private Integer enabled;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
