package cn.com.ctop.uservideomap.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 视频和设计师对应关系表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-03-17
 */
@Data
@TableName("ctop_user_video_map")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_user_video_map对象", description = "视频和设计师对应关系表")
public class UserVideoMap {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 有效视频md5
     */
    @Excel(name = "有效视频md5", width = 15)
    @ApiModelProperty(value = "有效视频md5")
    private String videoSignature;
    /**
     * 视频制作中担任的角色-不一定是自己原本的角色
     */
    @Excel(name = "视频制作中担任的角色-不一定是自己原本的角色", width = 15)
    @ApiModelProperty(value = "视频制作中担任的角色-不一定是自己原本的角色")
    private String roleId;
    /**
     * 用户id
     */
    @Excel(name = "用户id", width = 15)
    @ApiModelProperty(value = "用户id")
    private String userId;
    /**
     * 季度
     */
    @Excel(name = "季度", width = 15)
    @ApiModelProperty(value = "季度")
    private Integer quarter;
    /**
     * 年
     */
    @Excel(name = "年", width = 15)
    @ApiModelProperty(value = "年")
    private Integer year;
    /**
     * 所属月
     */
    @Excel(name = "所属月", width = 15)
    @ApiModelProperty(value = "所属月")
    private Integer month;
    /**
     * 有效视频所属周开始时间
     */
    @Excel(name = "有效视频所属周开始时间", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "有效视频所属周开始时间")
    private String weekStart;
    /**
     * 有效视频所属周结束时间
     */
    @Excel(name = "有效视频所属周结束时间", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "有效视频所属周结束时间")
    private String weekEnd;
    /**
     * 用于计算所属年月季的基础日期
     */
    @Excel(name = "用于计算所属年月季的基础日期", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "用于计算所属年月季的基础日期")
    private Date calcDate;
    /**
     * 视频所属分公司的id
     */
    @Excel(name = "视频所属分公司的id", width = 15)
    @ApiModelProperty(value = "视频所属分公司的id")
    private String companyId;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;

    private String creativeDate;

    private Integer appType;
}
